<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>
        {% block title %}Project Happy | {% endblock title %}
    </title>
    <link rel="icon" type="image/x-icon" href="{{url_for('static', filename='images/project-happy-logo.ico')}}" />

    <link type="text/css" rel="stylesheet" href="{{url_for('static', filename='css/reset.css')}}" />
    <link type="text/css" rel="stylesheet" href="{{url_for('static', filename='css/fonts.css')}}" />
    <link type="text/css" rel="stylesheet" href="{{url_for('static', filename='css/base.css')}}" />
    <link type="text/css" rel="stylesheet" href="{{url_for('static', filename='css/nav.css')}}" />
    <link type="text/css" rel="stylesheet" href="{{url_for('static', filename='css/footer.css')}}" />
    <link type="text/css" rel="stylesheet" href="{{url_for('static', filename='css/main.css')}}" />

    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@48,400,0,0" /></head>

<body>

    <nav>
        <a href="/">
            <img src="{{ url_for('static', filename='images/header-logo.png') }}" alt="">
        </a>
        <ul>
            {% if current_user.is_authenticated %}
                <li><a class="btn-link" href="#">About us</a></li>
                <li><a class="btn-link" href="#">Contact us</a></li>
                <li><a class="btn-link" href="/dashboard">Dashboard</a></li>        
                <li><a class="btn-link" href="/logout">Logout</a></li>        
            {% else %}
                <li><a class="btn-link" href="#">About us</a></li>
                <li><a class="btn-link" href="#">Contact us</a></li>
                <li>
                    <a class="btn btn-primary" href="/login">Login</a>
                </li>
            {% endif %}
        </ul>
    </nav>

    <main>
        {% block main %}
        {% endblock main %}
    </main>

    {% for message in get_flashed_messages() %}
        <div class="flash-message">{{message}}</div>
    {% endfor %}

    <footer>
        <div>Copyright © Project Happy 2022</div>
        <div>
            <a href="#">Our Amazing Sponsors </a>
            <a href="#">Privacy Terms</a>
        </div>
    </footer>

</body>

</html>